#version 150

uniform sampler2D fboBuffer;

in vec2 vertexTexCoord;

out vec4 outColor1;
 
void main(void)
{
	vec3 color = texture(fboBuffer, vertexTexCoord).xyz;
	vec3 colorLod = textureLod(fboBuffer, vertexTexCoord, 5).xyz;
	float i = length(colorLod);
	float f = max(i - 0.3, 0);

	outColor1 = vec4(color + colorLod * f*2, 1);
}